<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="../layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.atna.RunATest']}</h2>

        <!-- viewPanel must be included in a form in order to display commandLinks -->
        <div class="row">
            <div class="col-md-6">
                <h:form id="viewform">
                    <ui:include src="/testcase/viewPanel.xhtml">
                        <ui:param name="testCase" value="#{testRunManager.testCase}"/>
                        <ui:param name="manager" value="#{testRunManager}"/>
                        <ui:param name="isOpen" value="#{true}"/>
                    </ui:include>
                </h:form>
            </div>
            <div class="col-md-6">
                <h:form id="runform">

                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.TestRunParameters']}</ui:define>

                        <div class="form-horizontal">
                            <h:panelGroup rendered="#{testRunManager.isClientSimulator()}">

                                <s:div id="clientregion">

                                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                        <ui:param name="id" value="clientTypeInput"/>
                                        <ui:define name="label">#{messages['net.ihe.gazelle.atna.ClientType']}
                                        </ui:define>
                                        <h:selectOneMenu id="clientTypeInput" styleClass="form-control gzl-select-text" required="true"
                                                         value="#{testRunManager.clientType}">
                                            <s:selectItems value="#{testRunManager.getClientTypes()}"
                                                           var="type" label="#{type.toString()}"/>
                                            <a4j:ajax event="change" render="clientregion"/>
                                        </h:selectOneMenu>
                                    </s:decorate>

                                    <ui:repeat value="#{testRunManager.client.parameters}"
                                               var="parameter" varStatus="loop">
                                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                            <ui:define name="label">#{parameter.label}</ui:define>
                                            <h:inputText rendered="#{parameter.type == 0}" styleClass="form-control"
                                                         value="#{parameter.valueAsString}" size="50" required="true"/>
                                            <h:inputTextarea rendered="#{parameter.type == 1}" rows="8" required="true"
                                                             value="#{parameter.valueAsString}"
                                                             styleClass="form-control"/>
                                            <h:selectOneMenu rendered="#{parameter.type == 2}" styleClass="form-control gzl-select-text"
                                                             value="#{parameter.valueAsString}" required="true">
                                                <s:selectItems value="#{parameter.values}" var="type"
                                                               label="#{type.toString()}"/>
                                            </h:selectOneMenu>
                                            <rich:inputNumberSpinner rendered="#{parameter.type == 3}" required="true"
                                                                     minValue="0" value="#{parameter.valueAsString}"/>
                                        </s:decorate>
                                    </ui:repeat>

                                </s:div>
                                <hr/>

                                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                    <ui:param name="id" value="targetHostInput"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.TargetHost']}</ui:define>
                                    <h:inputText id="targetHostInput" value="#{testRunManager.host}"
                                                 size="60" required="true" styleClass="form-control"/>
                                </s:decorate>

                                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                    <ui:param name="id" value="targetPortInput"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.TargetPort']}</ui:define>
                                    <rich:inputNumberSpinner id="targetPortInput" minValue="1" maxValue="65536"
                                                             value="#{testRunManager.port}"
                                                             required="true"/>
                                </s:decorate>

                            </h:panelGroup>
                        </div>

                        <rich:message for="buttonRun"/>

                        <ui:define name="panel_footer">
                            <h:commandButton action="#{testRunManager.runTestCase()}"
                                             value="#{messages['net.ihe.gazelle.atna.Run']}"
                                             id="buttonRun" styleClass="gzl-btn-blue"
                                             onclick="gazelleStatusStart();"/>
                        </ui:define>
                    </ui:decorate>

                </h:form>
            </div>
        </div>

        <p>
            <h:outputLink value="#{testRunManager.linkToList()}" styleClass="gzl-btn">
                #{messages['net.ihe.gazelle.atna.BackToList']}
            </h:outputLink>
        </p>


        <s:div id="runs">
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.TestRuns']}</ui:define>
                <ui:include src="/testinstance/browser.xhtml">
                    <ui:param name="browserBean" value="#{testRunManager}"/>
                    <ui:param name="displayFilter" value="#{true}"/>
                </ui:include>
            </ui:decorate>
        </s:div>

    </ui:define>
</ui:composition>
